<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<h:head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	</h:head>
	<ui:define name="content">
    <h:form id="legajoForm"  acceptcharset="UTF-8" enctype="application/form-data">
    	<h3 style="margin-top:0">Legajo: <p:outputLabel style="font-size:14px !important" value="#{legajoMB.fullName}"/></h3>
    	<p:toolbar>
	        <p:toolbarGroup >
		    	<p:outputLabel value="Agregar : " />		
				<p:commandButton id="addInterv" value="MPI( #{legajoMB.instance.intervencionesMPI.size()} )" action="#{intervencionIntegralMB.nueva(legajoMB.instance,true)}"  process="@this" rendered="#{legajoMB.puedeEditar()}" icon="ui-icon-arrowthick-1-ne">
					<p:confirm header="Atención" message="Al salir de esta pantalla se perderan los cambios realizados en el legajo. Desea continuar?" icon="ui-icon-alert" />
				</p:commandButton>
				<p:spacer> </p:spacer>
				<p:commandButton id="addIntervExc" value="MPE( #{legajoMB.instance.intervencionesMPE.size()} )" action="#{intervencionExcepcionalMB.nueva(legajoMB.instance,true)}"  process="@this"  rendered="#{legajoMB.puedeAgregarMPE()}" icon="ui-icon-arrowthick-1-ne">
					<p:confirm header="Atención" message="Al salir de esta pantalla se perderan los cambios realizados en el legajo. Desea continuar?" icon="ui-icon-alert" />
				</p:commandButton>
				<p:spacer> </p:spacer>
				<p:commandButton id="addIntervMEP" value="MPJ( #{legajoMB.instance.intervencionesMEP.size()} )" action="#{intervencionMEPMB.nueva(legajoMB.instance,true)}"  process="@this"  rendered="#{legajoMB.puedeAgregarMPE()}" icon="ui-icon-arrowthick-1-ne">
					<p:confirm header="Atención" message="Al salir de esta pantalla se perderan los cambios realizados en el legajo. Desea continuar?" icon="ui-icon-alert" />
				</p:commandButton>
				<p:spacer> </p:spacer>
				<p:commandButton  value="PAE( #{legajoMB.instance.intervencionesPAE.size()} )" action="#{intervencionPAEMB.nueva(legajoMB.instance,true)}"  process="@this"  disabled="#{!legajoMB.puedeAgregarPAE()}" icon="ui-icon-arrowthick-1-ne">
					<p:confirm header="Atención" message="Al salir de esta pantalla se perderan los cambios realizados en el legajo. Desea continuar?" icon="ui-icon-alert" />
				</p:commandButton>
			</p:toolbarGroup>
			
			<p:toolbarGroup align="right">
				<span class="ui-separator">
	                <span class="ui-icon ui-icon-grip-dotted-vertical" />
	            </span>
	            <p:outputLabel value="Imprimir : " />
	            <p:commandButton id="impCaratula" value="Carátula"  action="#{imprimirCaratulaB.execute(legajoMB.instance)}"  icon="ui-icon-print" process="@this"  oncomplete="window.open('#{request.contextPath}/servlets/report/PDF', '_blank')" update=":header-form:messages"/>
				<p:spacer> </p:spacer>
				<p:commandButton id="impLegajo" value="Legajo"  action="#{imprimirLegajoB.execute(legajoMB.instance)}"  
					icon="ui-icon-print" process="@this"  
					oncomplete="window.open('#{request.contextPath}/servlets/report/PDF', '_blank')" 
					update=":header-form:messages" 	/>
				<span class="ui-separator">
	                <span class="ui-icon ui-icon-grip-dotted-vertical" />
	            </span>
	    		<p:commandButton id="add" value="Guardar" action="#{legajoMB.save}" ajax="false" rendered="#{legajoMB.puedeEditar()}" icon="ui-icon-disk" />
	           	<p:spacer> </p:spacer>
	           	<p:commandButton id="cancel" value="Cancelar" action="#{legajoMB.cancel}" ajax="false" rendered="#{legajoMB.puedeEditar()}" immediate="true"/>
			</p:toolbarGroup>
		</p:toolbar>
    	<p:separator></p:separator>
    	
    	<p:tabView scrollable="true" id="tabLegajo">
        	<p:tab title="Datos Personales" >
    	
    			<p:accordionPanel multiple="true" activeIndex="0,1,2">
	    			<p:tab title="Caratula">
				        <p:panelGrid columns="3" >
		            
			                <p:outputLabel for="apellidoYNombre" value="Apellido y Nombre : " />
			                <p:inputText id="apellidoYNombre" value="#{legajoMB.instance.apellidoYNombre}" label="Apellido y Nombre" required="true" readonly="#{!legajoMB.puedeEditar()}"
			                	converter="upperCaseConverter"/>			                
							<p:message  for="apellidoYNombre" display="icon"/>                
			            
			            
			                <p:outputLabel for="codigo" value="Código : " />
			                <p:outputLabel id="codigo" value="#{legajoMB.instance.codigo}" />
			                <h:panelGroup/>
			            
		   	                <p:outputLabel for="sexo" value="Género : " />
		           			<p:selectOneMenu id="sexo" value ="#{legajoMB.instance.sexo}" required="true" label="Género" disabled="#{!legajoMB.puedeEditar()}">
								<f:selectItems value="#{commonSelectorsMB.valoresSexo}" var="elemsexo"
		                              itemValue="#{elemsexo}"
		                              itemLabel="#{elemsexo.descripcion}" />
							</p:selectOneMenu>
							<p:message  for="sexo" display="icon"/>   
		
							
			                <p:outputLabel for="fechaNacimiento" value="Fecha Nacimiento : " />
			            	<p:calendar showOn="button" id="fechaNacimiento" value="#{legajoMB.instance.fechaNacimiento}" navigator="true" disabled="#{!legajoMB.puedeEditar()}" yearRange="#{commonSelectorsMB.yearRange}"/>
							<h:panelGroup/>
			
			                <p:outputLabel for="zonal" value="Equipo Territorial Provincial :"/>
			           		<p:outputLabel id="zonal" value="#{legajoMB.instance.zonal.nombre}" />
			          		<p:message  for="zonal" display="icon"/>   
			            
			                <p:outputLabel for="local" value="Local :"/>
			           		<p:outputLabel id="local" value="#{legajoMB.instance.local.nombre}" />
			                <p:message  for="local" display="icon"/>   
			              
                            <p:outputLabel for="ref102" value="Referencia llamada 102 : " />
            			    <p:inputText id="ref102" value="#{legajoMB.instance.referenciaLlamada102}" />
							<h:panelGroup/>    
			              
						</p:panelGrid>
					</p:tab>
				
					<p:tab title="Documento de identidad" id="tabDocumentoDeIdentidad">
						
						<ui:include src="documentoIdentidad.xhtml" />
						
					</p:tab>
	
					<p:tab title="Domicilio del Titular del legajo" id="tabDatosPersonales">
						
						<ui:include src="datosPersonalesLegajo.xhtml" />
						
					</p:tab>
					
					<p:tab title="Observaciones" id="tabObservaciones">

						<ui:include src="datosContacto.xhtml" />						
						
					</p:tab>
				</p:accordionPanel>
			</p:tab>
			
			<p:tab title="Relación Vincular" id="tabRelacionVincular" >
						
				<ui:include src="/legajo/relacionVincular/listado.xhtml" />
						
			</p:tab>
			
			<p:tab title="MPI" id="tabIntervenciones">
				<ui:include src="/legajo/intervencionIntegral/listadoIntervTabLegajo.xhtml" />
			</p:tab>
			
			<p:tab title="MPE" id="tabIntervencionesMPE">
				<ui:include src="/legajo/intervencionExcepcional/listadoIntervTabLegajo.xhtml" />
			</p:tab>
			
			<p:tab title="MPJ" id="tabIntervencionesMEP">
				<ui:include src="/legajo/intervencionMEP/listadoIntervTabLegajo.xhtml" />
			</p:tab>
			
			<p:tab title="PAE" id="tabIntervencionesPAE">
				<ui:include src="/legajo/intervencionPAE/listadoIntervTabLegajo.xhtml" />
			</p:tab>
			
			<p:tab title="Datos Adicionales">
				<p:accordionPanel multiple="true" activeIndex="0,1,2">
				
					<p:tab title="Cobertura de Salud">
						
						<ui:include src="/legajo/obraSocial.xhtml" />
						
					</p:tab>
					
					<p:tab title="Problemática de Salud">
						
						<ui:include src="/legajo/problematicaSalud.xhtml" />
						
					</p:tab>
					
					<p:tab title="Informacion de escolaridad">
						
						<ui:include src="/legajo/escolaridad.xhtml" />
						
					</p:tab>
				
				</p:accordionPanel>
			</p:tab>				
			
			<p:tab title="Información Judicial">
			
				<ui:include src="/legajo/listadoCausasJudiciales.xhtml" />
			
			</p:tab>

			
		</p:tabView>
		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
    
    <p:dialog  id="panelCJ" widgetVar="panelCJ" header="Información Judicial" modal="true" appendTo="@(body)" >
    		<h:form id="formCJ">
    		<p:panelGrid  columns="3" cellpadding="2" >
	            
	            <p:outputLabel for="campoTipoCJ" value="Tipo de medida : " />
				<p:selectOneMenu id="campoTipoCJ" value="#{causaJudicialMB.instance.tipoCausaJudicial}" 
					required="true" label="Tipo CJ" converter="tipoCausaJudicialConverter">
	                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	                		<f:selectItems value="#{commonSelectorsMB.getTipoCausasJudiciales()}" 
	                			var="elem" itemValue="#{elem}" itemLabel="#{elem.descripcion}"/>
	            </p:selectOneMenu>
	            <p:message for="campoTipoCJ" display="icon"/>
    		
    			<p:outputLabel for="campoOrgJudic" value="Juzgado Interviniente : " />
				<p:selectOneMenu id="campoOrgJudic" value="#{causaJudicialMB.instance.juzgadoInterviniente}" converter="juzgadoConverter" required="true" label="Juzgado Interviniente">
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getJuzgadosIntervinientes()}" var="elem"
                           itemValue="#{elem}"
                           itemLabel="#{elem.descripcion}"/>
                        <p:ajax event="change" 
            				update="campoDptoJudicial campoTpoOrgJudic"/>   
        		</p:selectOneMenu>
				<p:message  for="campoOrgJudic" display="icon"/>   
        		
    		
    			<p:outputLabel for="campoDptoJudicial" value="Departamento Judicial :" />
       			<p:selectOneMenu disabled="true" id="campoDptoJudicial" value="#{causaJudicialMB.instance.juzgadoInterviniente.departamentoJudicial}" converter="departamentoJudicialConverter" required="true" label="Causa Judicial - Departamento J">
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getDepartamentosJudiciales(causaJudicialMB.instance.juzgadoInterviniente.departamentoJudicial)}" var="elem"
                           itemValue="#{elem}"
                           itemLabel="#{elem.descripcion}"/>
        		</p:selectOneMenu>
        		<p:message for="campoDptoJudicial" display="icon"/>
           		
   				<p:outputLabel for="campoTpoOrgJudic" value="Tipo de Órgano Judicial :" />
       			<p:selectOneMenu disabled="true" id="campoTpoOrgJudic" value="#{causaJudicialMB.instance.juzgadoInterviniente.tipoOrganoJudicial}" converter="tipoOrganoJudicialConverter" required="true" label="Causa Judicial - Tpo Org Judic">
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getTipoOrganosJudiciales(null)}" var="elem"
                           itemValue="#{elem}"
                           itemLabel="#{elem.descripcion}"/>
        		</p:selectOneMenu>
        		<p:message for="campoTpoOrgJudic" display="icon"/>

        		<p:outputLabel for="campoCausa" value="Número de expediente judicial : " />
               	<p:inputText id="campoCausa" value="#{causaJudicialMB.instance.causa}" required="true"/>
				<p:message  for="campoCausa" display="icon"/>
				        		
        		<p:outputLabel for="campDefens" value="Otros organismos judiciales intervinientes :" />
        		<p:selectOneMenu id="campDefens" value="#{causaJudicialMB.instance.defensoriaInterviniente}" converter="juzgadoConverter" required="true" >
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getJuzgadosDefensorias()}" var="elem"
                           itemValue="#{elem}"
                           itemLabel="#{elem.descripcion}"/>
        		</p:selectOneMenu>
				<p:message  for="campDefens" display="icon"/>   

				<p:outputLabel for="campoDefensa" value="Defensa Técnica : " />
				<p:selectOneMenu id="campoDefensa" value="#{causaJudicialMB.instance.defensaTecnica}" required="false" label="Estado CJ" >
	                		<f:selectItems value="#{commonSelectorsMB.valoresTipoDefensaTecnica}" 
	                			var="elem" itemValue="#{elem}" itemLabel="#{elem.descripcion}"/>
	            </p:selectOneMenu>
	            <p:message for="campoDefensa" display="icon"/>
				
				<p:outputLabel for="campoDefensor" value="Apellido y Nombre de defensor : " />
               	<p:inputText id="campoDefensor" value="#{causaJudicialMB.instance.apellidoNombreDefensor}" label="Causa" required="false"/>
				<p:message  for="campoDefensor" display="icon"/>   
				
				<p:outputLabel for="campoEstadoCJ" value="Estado : " />
				<p:selectOneMenu id="campoEstadoCJ" value="#{causaJudicialMB.instance.estado}" required="true" label="Estado CJ" >
	                		<f:selectItems value="#{commonSelectorsMB.valoresEstadoCausaJudicial}" 
	                			var="elem" itemValue="#{elem}" itemLabel="#{elem.descripcion}"/>
	            </p:selectOneMenu>
	            <p:message for="campoEstadoCJ" display="icon"/>
	            
	            <p:outputLabel for="campoObs" value="Observaciones : " />
                <p:inputTextarea rows="10" cols="50" id="campoObs" value="#{causaJudicialMB.instance.observacion}"
                	 />
				<p:message  for="campoObs" display="icon"/>

			</p:panelGrid>    
           	<p:commandButton id="guardar" value="Guardar"  process="@this,campoOrgJudic,campoDptoJudicial,campoTpoOrgJudic,campoObs,campoEstadoCJ,campoTipoCJ,campoDefensor,campoDefensa,campoCausa,campDefens" 
           		action="#{causaJudicialMB.causaSeleccionada}" update="mainForm:legajoForm:tabLegajo:causasJudicialesLst,formCJ"  
           		oncomplete="handleDialogCJSubmit(xhr, status, args)" />
            <p:commandButton value="Cancelar" onclick="PF('panelCJ').hide();"  immediate="true"/>
        	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
        	</h:form>
        </p:dialog>
        <script type="text/javascript">
		    function handleDialogCJSubmit(xhr, status, args) {
		        if (args.validationFailed) {
		        	PF('panelCJ').show();
		        } else {
		        	PF('panelCJ').hide();
		        }
		    }
		</script>
		
		<p:dialog  id="panelRV" widgetVar="panelRV" header="Relación Vincular" modal="true" appendTo="@(body)" >
    		<h:form id="formRV">
    		<p:panelGrid  columns="3" cellpadding="2" id="panelGridRV" >
    			<p:outputLabel for="campoTipoVinculo" value="Tipo vínculo :" />
       			<p:selectOneMenu id="campoTipoVinculo" value="#{legajoMB.relacionVincular.tipoVinculoFamiliar}" converter="tipoVinculoFamiliarConverter" required="true" label="Tipo Vínculo Familiar" disabled="#{!legajoMB.puedeEditar()}">
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getTiposVinculosFamiliares(legajoMB.relacionVincular.tipoVinculoFamiliar)}" var="tvF"
                           itemValue="#{tvF}"
                           itemLabel="#{tvF.descripcion}"/>
        		</p:selectOneMenu>
        		<p:message for="campoTipoVinculo" display="icon"/>
           		
                <p:outputLabel for="campoPoseeLegajo" value="Posee legajo en el sistema : " />
            	<p:selectBooleanCheckbox id="campoPoseeLegajo" value="#{legajoMB.relacionVincular.poseeLegajo}" disabled="#{!legajoMB.puedeEditar()}">
            		<p:ajax event="change" listener="#{legajoMB.actualizarDatosRelacionVincular}" 
            			update="campoLegajo aYNRV docRV  sexoRV fechaNacimientoRV ecivilRV repLeg telefonoRV dir estudCur sitlab "/>
            	</p:selectBooleanCheckbox>
				<h:panelGroup/>	
           		
                <p:outputLabel for="campoLegajo" value="Legajo : " />
       			<p:autoComplete  id="campoLegajo" queryDelay="1000" value="#{legajoMB.relacionVincular.legajoFamiliar}"  
       						 completeMethod="#{commonSelectorsMB.getAutoCompleteLegajo}" 
							 var="legajoVF" itemValue="#{legajoVF}" itemLabel="#{legajoVF.lblRelVincular}" converter="legajoConverter" 
							 required="#{legajoMB.relacionVincular.poseeLegajo}" label="Legajo Familiar" dropdown="true"
							 disabled="#{!legajoMB.relacionVincular.poseeLegajo}" readonly="#{!legajoMB.puedeEditar()}" size="50">
					<f:attribute name="filter" value="#{legajoMB.instance}" />
				</p:autoComplete>
				<p:message for="campoLegajo" display="icon"/>

           		<p:outputLabel for="repLeg" value="Representante Legal : " />
            	<p:selectBooleanCheckbox id="repLeg" value="#{legajoMB.relacionVincular.representanteLegal}" disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar()}" />
				<h:panelGroup/>
				
				<p:outputLabel for="aYNRV" value="Apellido y Nombre : " />
       			<p:autoComplete  id="aYNRV" queryDelay="1000" value="#{legajoMB.familiarSeleccionado}"  
       						 completeMethod="#{commonSelectorsMB.getAutoCompletePersonas}" 
							 var="fliar" itemValue="#{fliar}" itemLabel="#{fliar.apellidoYNombre}" converter="personaApYNomConverter" 
							 required="#{!legajoMB.relacionVincular.poseeLegajo}" label="Relación Vincular - Apellido y Nombre" dropdown="true"
							 disabled="#{legajoMB.relacionVincular.poseeLegajo or legajoMB.familiarDNISeleccionado.id != null}" readonly="#{!legajoMB.puedeEditar()}" size="50"
							 >
						<p:ajax event="itemSelect" listener="#{legajoMB.onSelectFamiliar}" update="docRV  sexoRV fechaNacimientoRV ecivilRV repLeg telefonoRV dir estudCur sitlab " />					
				</p:autoComplete>
				<p:message for="aYNRV" display="icon"/>
				
				<p:outputLabel for="docRV" value="Documento : " />
       			<p:autoComplete  id="docRV" queryDelay="1000" value="#{legajoMB.familiarDNISeleccionado}"  
       						 completeMethod="#{commonSelectorsMB.getAutoCompletePersonasByDNI}" 
							 var="fliar" itemValue="#{fliar}" itemLabel="#{fliar.documento}" converter="personaDNIConverter" 
							 label="Relación Vincular - Documento" dropdown="true"
							 disabled="#{legajoMB.relacionVincular.poseeLegajo or 
							 	legajoMB.familiarSeleccionado.id != null}" readonly="#{!legajoMB.puedeEditar()}" size="50"
							 onkeypress="if( (event.which &lt; 48 || event.which &gt; 57) ) return false;"	
							 >
						<p:ajax event="itemSelect" listener="#{legajoMB.onSelectFamiliarDNI}" update="aYNRV sexoRV fechaNacimientoRV ecivilRV repLeg telefonoRV dir estudCur sitlab " />					
				</p:autoComplete>
				<p:message for="docRV" display="icon"/>
				
       			<p:outputLabel for="sexoRV" value="Género : " />
            	<p:selectOneRadio id="sexoRV" value ="#{legajoMB.relacionVincular.familiar.sexo}" label="Rel vincular - Género" 
            			disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar() or
       						legajoMB.familiarSeleccionado.id != null or
       						legajoMB.familiarDNISeleccionado.id != null}">
					<f:selectItems value="#{commonSelectorsMB.valoresSexo}" var="sex" itemLabel="#{sex.descripcion}" itemValue="#{sex}" />
				</p:selectOneRadio>
				<p:message for="sexoRV" display="icon"/>
				
				<p:outputLabel for="fechaNacimientoRV" value="Fecha Nacimiento : " />
            	<p:calendar showOn="button" id="fechaNacimientoRV" value="#{legajoMB.relacionVincular.familiar.fechaNacimiento}" navigator="true" 
            		disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar() or
       						legajoMB.familiarSeleccionado.id != null or
       						legajoMB.familiarDNISeleccionado.id != null}" yearRange="#{commonSelectorsMB.yearRange}"/>
				<h:panelGroup/>
					
				<p:outputLabel for="ecivilRV" value="Estado civil :" />
           		<p:selectOneMenu id="ecivilRV" value="#{legajoMB.relacionVincular.familiar.estadoCivil}" converter="estadoCivilConverter"
           				disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar() or
	       					legajoMB.familiarDNISeleccionado.id != null or legajoMB.familiarSeleccionado.id != null}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{commonSelectorsMB.getEstadosCiviles(legajoMB.relacionVincular.familiar.estadoCivil)}" var="eciv"
                              itemValue="#{eciv}"
                              itemLabel="#{eciv.descripcion}"/>
           		</p:selectOneMenu>	
           		<h:panelGroup/>
           		
                <p:outputLabel for="telefonoRV" value="Teléfono : " />
       			<p:inputText id="telefonoRV" value="#{legajoMB.relacionVincular.familiar.telefono}" label="Rel vinclar - Telefono" 
       				disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar() or
       					legajoMB.familiarDNISeleccionado.id != null or legajoMB.familiarSeleccionado.id != null}"
       				validatorMessage="Solo se permiten numeros para el campo telefono">
    					<f:validateRegex  pattern="\d*(.\d+)?" />
    			</p:inputText>
				<p:message for="telefonoRV" display="icon"/>

                <p:outputLabel for="dir" value="Dirección : " />
       			<p:inputTextarea id="dir" value="#{legajoMB.relacionVincular.familiar.direccion}" label="Rel vincular - Dirección" 
       				disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar()  or
       					legajoMB.familiarSeleccionado.id != null or legajoMB.familiarDNISeleccionado.id != null}"
       				rows="5" cols="25"/>
       			<p:message for="dir" display="icon"/>
       			
       			<p:outputLabel for="estudCur" value="Estudios Cursados :" />
           		<p:selectOneMenu id="estudCur" value="#{legajoMB.relacionVincular.familiar.estudioCursado}" converter="estudioCursadoConverter"
           				disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar()  or
       						legajoMB.familiarSeleccionado.id != null or legajoMB.familiarDNISeleccionado.id != null}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{commonSelectorsMB.getEstudiosCursados(legajoMB.relacionVincular.familiar.estudioCursado)}" var="ecur"
                              itemValue="#{ecur}"
                              itemLabel="#{ecur.descripcion}"/>
           		</p:selectOneMenu>
           		<h:panelGroup/>
       			
       			<p:outputLabel for="sitlab" value="Situación Laboral :" />
           		<p:selectOneMenu id="sitlab" value="#{legajoMB.relacionVincular.familiar.situacionLaboral}" converter="situacionLaboralConverter"
           				disabled="#{legajoMB.relacionVincular.poseeLegajo or !legajoMB.puedeEditar()  or
       						legajoMB.familiarSeleccionado.id != null or legajoMB.familiarDNISeleccionado.id != null}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{commonSelectorsMB.getSituacionesLaborales(legajoMB.relacionVincular.familiar.situacionLaboral)}" var="esl"
                              itemValue="#{esl}"
                              itemLabel="#{esl.descripcion}"/>
           		</p:selectOneMenu>
            	<h:panelGroup/>
				
				
			</p:panelGrid>    
           	<p:commandButton id="guardar" value="Guardar"  process="@this,campoTipoVinculo,campoPoseeLegajo,campoLegajo, aYNRV, docRV , sexoRV, fechaNacimientoRV, ecivilRV, repLeg, telefonoRV, dir,estudCur,sitlab" 
           		action="#{legajoMB.relacionVincularSeleccionada}" update="mainForm:legajoForm:tabLegajo:relacionVincularLst,formRV"  
           		oncomplete="handleDialogRVSubmit(xhr, status, args)" rendered="#{legajoMB.puedeEditar()}" />
            <p:commandButton actionListener="#{legajoMB.nuevaRelacionVincular}" value="Cancelar" onclick="PF('panelRV').hide();"  immediate="true"/>
        	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
        	</h:form>
        </p:dialog>
		<script type="text/javascript">
		    function handleDialogRVSubmit(xhr, status, args) {
		        if (args.validationFailed) {
		        	PF('panelRV').show();
		        } else {
		        	PF('panelRV').hide();
		        }
		    }
		</script>
		
	</ui:define>
</ui:composition>